{"components":{"schemas":{"BadRequest":{"description":"Returned when something is wrong in the request, e.g. failed argument validation or missed argument","properties":{"attributes":{"description":"Invalid attributes","items":{"$ref":"#/components/schemas/RequestAttribute"},"type":"array"},"error":{"default":"BadRequest","description":"Error name","type":"string"},"message":{"default":"Required arguments are missing in the request","description":"Description of the request error","type":"string"}},"type":"object"},"BeneficialOwner":{"properties":{"beneficialOwnership":{"$ref":"#/components/schemas/BeneficialOwnership"},"dateOfBirth":{"description":"Date of birth","type":"string"},"domicile":{"description":"Place of residence, code","type":"string"},"domicileText":{"description":"Place of residence, text","type":"string"},"firstname":{"description":"First name","type":"string"},"homeCountry":{"description":"Country of residence","type":"string"},"lastname":{"description":"Last names","type":"string"},"nationality":{"description":"Citizenship","type":"string"},"registrationDate":{"description":"Date of registration","type":"string"},"role":{"description":"ES (actual beneficial owner)","type":"string"}},"type":"object"},"BeneficialOwnersResult":{"properties":{"beneficialOwners":{"description":"Company beneficial owners","items":{"$ref":"#/components/schemas/BeneficialOwner"},"type":"array"},"changeDate":{"description":"Date for the latest change (Date in ISO 8601 standard)","type":"string"},"companyId":{"description":"Company identifier (company registration number / organization number)","type":"string"},"hasBeneficialOwners":{"description":"The organisation has no identified actual beneficial owners then false, otherwise true","type":"boolean"},"registrationDate":{"description":"Date of registration the organisation has no identified actual beneficial owners","type":"string"},"status":{"$ref":"#/components/schemas/SearchResultStatus"}},"type":"object"},"BeneficialOwnership":{"properties":{"otherBeneficialOwnership":{"description":"Other actual control","type":"boolean"},"ownershipExtent":{"description":"Extent of ownership in percents","format":"double","type":"number"},"voteExtent":{"description":"Extent of vote in percents","format":"double","type":"number"}},"type":"object"},"RequestAttribute":{"description":"Incorrect attribute of request","properties":{"attribute":{"description":"Parameter name","type":"string"},"value":{"description":"Parameter value, subject for validation","type":"string"}},"type":"object"},"SearchResultStatus":{"description":"Description of search result","properties":{"code":{"description":"0 - found, 1 - not found","format":"int32","type":"integer"},"text":{"description":"search result description","type":"string"}},"type":"object"},"ServerError":{"description":"Internal server error","properties":{"error":{"default":"InternalServerError","description":"Error name","type":"string"},"message":{"default":"An internal server error occurred, please contact the system administrator with information on the error","description":"Description of the request error","type":"string"}},"type":"object"}},"securitySchemes":{"OAuth2":{"description":"All requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","flows":{"clientCredentials":{"tokenUrl":"https://api.roaring.io/token","scopes":{}}},"type":"oauth2"}}},"info":{"description":"See which Beneficial Owners a company has.\n\nAll requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","title":"Beneficial Owner","version":"1.0","x-logo":{"url":"https://assets.roaring.io/svg/beneficial-owner-v3.1.svg"}},"openapi":"3.0.1","paths":{"/{companyId}":{"get":{"description":"AsOfDate supported","operationId":"view","parameters":[{"description":"id of company","in":"path","name":"companyId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BeneficialOwnersResult"}}},"description":"OK, successfull response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequest"}}},"description":"Returned when something is wrong in the request, e.g. failed argument validation or arguments are missing"},"404":{"description":"Requested resource could not be found"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerError"}}},"description":"An internal server error occurred, please contact the system administrator with information on the error"}},"summary":"Get beneficial owners for a company","tags":["BeneficialOwnersFi"]}}},"security":[{"OAuth2":[]}],"servers":[{"url":"https://api.roaring.io/fi/company/beneficial-owners/1.0"}],"x-category":"company","x-countries":["fi"],"x-id":"BeneficialOwnersApiFi"}